project(BreezeTests)

set(CMAKE_C_STANDARD 11)

add_executable(btree_test btree_test.c)
target_link_libraries(btree_test LINK_PRIVATE Breeze)

add_executable(window_test window_test.c)
target_link_libraries(window_test LINK_PRIVATE Breeze)

add_executable(cute_tiled_test cute_tiled_test.c)
target_link_libraries(cute_tiled_test LINK_PRIVATE Breeze)

add_executable(ecs_defer_test ecs_defer_test.c)
target_link_libraries(ecs_defer_test LINK_PRIVATE Breeze)

add_executable(heap_test heap_test.c)
target_link_libraries(heap_test LINK_PRIVATE Breeze)

add_executable(lambda_test lambda_test.c)
target_link_libraries(lambda_test LINK_PRIVATE Breeze)

add_executable(array_test array_test.c)
target_link_libraries(array_test LINK_PRIVATE Breeze)

add_executable(pan_test pan_test.c)
target_link_libraries(pan_test LINK_PRIVATE Breeze)

add_executable(ui_test ui_test.c)
target_link_libraries(ui_test LINK_PRIVATE Breeze)

add_executable(ease_test ease_test.c)
target_link_libraries(ease_test LINK_PRIVATE Breeze)